CLASS INI_PARSER_(3)

NAME
boost::property_tree::ini_parser::ini_parser_error

SYNOPSIS

// In header: <boost/property_tree/ini_parser.hpp>
class ini_parser_error {
public:
  // construct/copy/destruct
  ini_parser_error(const std::string &, const std::string &, unsigned long);
};

DESCRIPTION

Indicates an error parsing INI formatted data.

  ini_parser_error public construct/copy/destruct

    1.

    ini_parser_error(const std::string & message, const std::string & filename,
                     unsigned long line);

    Construct an ini_parser_error

    Parameters:

        filename
            The name of the file being parsed containing the error.

        line
            The line in the given file where an error was encountered.

        message
            Message describing the parser error.